[Qa-jenkins-scm] [jenkins.debian.net] 06/06: node_health_check: check for a more general `systemctl is-system-running` to check the status of all services
Mattia Rizzolo
mattia at debian.org
Sat Apr 7 13:12:40 UTC 2018
This is an automated email from the git hooks/post-receive script.
mattia pushed a commit to branch master
in repository jenkins.debian.net.
commit c72f7a2fbcf8fdce98933d42da7293362e4bd116
Author: Mattia Rizzolo <mattia at debian.org>
Date: Sat Apr 7 15:11:08 2018 +0200
node_health_check: check for a more general `systemctl is-system-running` to check the status of all services
so we cover more stuff than only haveged
Signed-off-by: Mattia Rizzolo <mattia at debian.org>
---
TODO4stretch-host-upgrades.txt | 2 --
bin/reproducible_node_health_check.sh | 13 ++++++-------
logparse/reproducible.rules | 1 +
3 files changed, 7 insertions(+), 9 deletions(-)
diff --git a/TODO4stretch-host-upgrades.txt b/TODO4stretch-host-upgrades.txt
index 484cb3c..42a6f45 100644
--- a/TODO4stretch-host-upgrades.txt
+++ b/TODO4stretch-host-upgrades.txt
@@ -7,8 +7,6 @@ open problems
-------------
- dsa-check-packages points to /bin/true on hosts running in the future
- compare sshd_config from stretch with the one we're using (from jessie)
-- check "systemctl -a" for "not found" and failed services, there are more than just haveged
- haveged not running on most i386 and amd64 nodes… (#866513)
no i386 kernels on i386
-----------------------
diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index 524c67f..dc7b816 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -135,14 +135,13 @@ if ! dsa-check-running-kernel ; then
fi
#
-# check for haveged running
+# check whether all services are running fine
#
-echo "$(date -u) - testing 'haveged' is running..."
-HAVEGED="$(ps fax | grep '/usr/sbin/haveged' | grep -v grep || true)"
-if [ -z "$HAVEGED" ] ; then
- echo "$(date -u) - haveged ain't running, giving up."
- systemctl status haveged
- exit 1
+echo "$(date -u) - checking whether all services are running fine..."
+if ! systemctl is-system-running > /dev/null; then
+ echo "Warning: systemd is reporting errors:"
+ systemctl list-units --state=error,failed
+ DIRTY=true
fi
#
diff --git a/logparse/reproducible.rules b/logparse/reproducible.rules
index cb6128d..8020bbb 100644
--- a/logparse/reproducible.rules
+++ b/logparse/reproducible.rules
@@ -29,3 +29,4 @@ warning /Warning, jenkins.log is larger than.+/
warning /^WARNING: Kernel needs upgrade/
warning /Warning: schroots older than/
warning /Warning: SQL query .+ failed.$/
+warning /Warning: systemd is reporting errors/
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list